Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.variazionirapportolavoro
Class ChiusuraRapportoLavoro

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.variazionirapportolavoro.ChiusuraRapportoLavoro

    public class ChiusuraRapportoLavoro

extends java.lang.Object

Dati di chiusura del rapporto di lavoro.

Field Summary
`private java.lang.String` | `codAziendaDestinazione` Codice nazionale azienda sanitaria di destinazione del dipendente.
`private java.lang.String` | `dataCessazioneRapporto` Data di cessazione.
`private int` | `motivoCessazione` Motivo di cessazione del rapporto di lavoro.
`private java.lang.Integer` | `tipoAziendaDestinazione` Tipo azienda di destinazione.

Constructor Summary
`ChiusuraRapportoLavoro()`

Method Summary
`java.lang.String` | `getCodAziendaDestinazione()`
`java.lang.String` | `getDataCessazioneRapporto()`
`int` | `getMotivoCessazione()`
`java.lang.Integer` | `getTipoAziendaDestinazione()`
`void` | `setCodAziendaDestinazione(java.lang.String codAziendaDestinazione)`
`void` | `setDataCessazioneRapporto(java.lang.String dataCessazioneRapporto)`
`void` | `setMotivoCessazione(int motivoCessazione)`
`void` | `setTipoAziendaDestinazione(java.lang.Integer tipoAziendaDestinazione)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataCessazioneRapporto

    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    @MinOccurs(value=1L)
    private java.lang.String dataCessazioneRapporto

  Data di cessazione.

### motivoCessazione

    @Facets(totalDigits=2L,
            pattern="(1|2|3|4|5|8|10|14){1}")
    @MinOccurs(value=1L)
    private int motivoCessazione

  Motivo di cessazione del rapporto di lavoro. Puņ assumere i seguenti valori:
  - 1: LIMITI DI ETA'
  - 2: DIMISSIONI
  - 3: DECESSO
  - 4: LICENZIAMENTO
  - 5: ALTRE CAUSE
  - 8: TRASFERIMENTO
  - 10: DISPENSA DAL SERVIZIO
  - 14: LIMITI DI SERVIZIO

### codAziendaDestinazione

    @Facets(maxLength=6L)
    @MinOccurs(value=0L)
    private java.lang.String codAziendaDestinazione

  Codice nazionale azienda sanitaria di destinazione del dipendente. Il campo č obbligatorio se il motivo di cessazione č uguale a 8.

### tipoAziendaDestinazione

    @Facets(totalDigits=1L,
            pattern="(1|2|3){1}")
    @MinOccurs(value=0L)
    private java.lang.Integer tipoAziendaDestinazione

  Tipo azienda di destinazione. Puņ assumere i seguenti valori:
  - 1: Azienda Ospedaliera
  - 2: IRCCS pubblico
  - 3: ASL

Constructor Detail

### ChiusuraRapportoLavoro

    public ChiusuraRapportoLavoro()

Method Detail

### setDataCessazioneRapporto

    public void setDataCessazioneRapporto(java.lang.String dataCessazioneRapporto)

### getDataCessazioneRapporto

    public java.lang.String getDataCessazioneRapporto()

### setMotivoCessazione

    public void setMotivoCessazione(int motivoCessazione)

### getMotivoCessazione

    public int getMotivoCessazione()

### setCodAziendaDestinazione

    public void setCodAziendaDestinazione(java.lang.String codAziendaDestinazione)

### getCodAziendaDestinazione

    public java.lang.String getCodAziendaDestinazione()

### setTipoAziendaDestinazione

    public void setTipoAziendaDestinazione(java.lang.Integer tipoAziendaDestinazione)

### getTipoAziendaDestinazione

    public java.lang.Integer getTipoAziendaDestinazione()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD